PCI_DEV_RUN_WAKE(9)

NAME
pci_dev_run_wake - Check if device can generate run-time wake-up events.

SYNOPSIS

bool pci_dev_run_wake(struct pci_dev * dev);

ARGUMENTS

dev
    Device to check.

DESCRIPTION

Return true if the device itself is capable of generating wake-up events (through the platform or using the native PCIe PME) or if the device supports PME and one of its upstream bridges can generate wake-up events.

COPYRIGHT